webpackJsonp([40],{

/***/ 655:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HelpPageModule", function() { return HelpPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__help__ = __webpack_require__(766);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HelpPageModule = (function () {
    function HelpPageModule() {
    }
    return HelpPageModule;
}());
HelpPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__help__["a" /* HelpPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__help__["a" /* HelpPage */]),
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__help__["a" /* HelpPage */]
        ]
    })
], HelpPageModule);

//# sourceMappingURL=help.module.js.map

/***/ }),

/***/ 766:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HelpPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var HelpPage = (function () {
    function HelpPage(modalCtrl, loading, translate, api, navCtrl, toast) {
        var _this = this;
        this.modalCtrl = modalCtrl;
        this.loading = loading;
        this.translate = translate;
        this.api = api;
        this.navCtrl = navCtrl;
        this.toast = toast;
        this.helps = [];
        this.originHelps = [];
        this.lang = translate.currentLang;
        var loader = this.loading.create({
            content: this.translate.instant('m45')
        });
        loader.present().then(function () {
            _this.api.getHelps(_this.lang, _this.navCtrl, _this.toast).then(function (res) {
                loader.dismiss();
                _this.originHelps = res;
                _this.helps = res;
            }, function (error) {
                loader.dismiss();
                console.log(error);
            });
        });
    }
    HelpPage.prototype.openModal = function (help) {
        var modal = this.modalCtrl.create('HelpModalPage', help);
        modal.present();
    };
    HelpPage.prototype.onInput = function (ev) {
        var _this = this;
        this.helps = this.originHelps;
        // set val to the value of the searchbar
        var val = ev.target.value;
        // if the value is an empty string don't filter the items
        if (val && val.trim() != '') {
            this.helps = this.helps.filter(function (item) {
                return (item.title[_this.lang].toLowerCase().indexOf(val.toLowerCase()) > -1);
            });
        }
    };
    HelpPage.prototype.ngOnDestroy = function () {
        this.api.remove("/help");
    };
    return HelpPage;
}());
HelpPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-help',template:/*ion-inline-start:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\help\help.html"*/'<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{\'w7\' | translate}}</ion-title>\n\n  </ion-navbar>\n\n	\n\n	<ion-searchbar \n\n		[placeholder]="translate.instant(\'w119\')"\n\n		[(ngModel)]="search"\n\n	  (ionInput)="onInput($event)"></ion-searchbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n	\n\n\n\n	<ion-list inset>\n\n		<button ion-item (click)="openModal({help: item})" *ngFor="let item of helps;let i = index; trackBy: index">\n\n	    {{ item.title[lang] }}\n\n	  </button>\n\n	</ion-list>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\help\help.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */]])
], HelpPage);

//# sourceMappingURL=help.js.map

/***/ })

});
//# sourceMappingURL=40.js.map