webpackJsonp([45],{

/***/ 650:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FamilyPageModule", function() { return FamilyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__family__ = __webpack_require__(761);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(441);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var FamilyPageModule = (function () {
    function FamilyPageModule() {
    }
    return FamilyPageModule;
}());
FamilyPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__family__["a" /* FamilyPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__family__["a" /* FamilyPage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__family__["a" /* FamilyPage */]
        ]
    })
], FamilyPageModule);

//# sourceMappingURL=family.module.js.map

/***/ }),

/***/ 761:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FamilyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var FamilyPage = (function () {
    function FamilyPage(navCtrl, navParams, loading, api, translate, toastCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loading = loading;
        this.api = api;
        this.translate = translate;
        this.toastCtrl = toastCtrl;
        this.network = 'internal';
        this.numbers = {
            internal: [],
            external: []
        };
        this.isData = false;
        this.lang = translate.currentLang;
        var loader = this.loading.create({
            content: this.translate.instant('m14')
        });
        loader.present().then(function () {
            _this.api.prepareFriendAndFamily(_this.navCtrl, _this.toastCtrl).then(function (result) {
                loader.dismiss();
                console.log(result.msisdnSimType);
                if (result.msisdnSimType == 'Data') {
                    _this.isData = true;
                    console.log(_this.isData);
                }
                else {
                    if (Object.keys(result.res).length !== 0 && result.res.constructor === Object) {
                        if (result.res[5].length > 0) {
                            _this.numbers.internal = result.res[5];
                        }
                        if (result.res[6].length > 0) {
                            _this.numbers.external = result.res[6];
                        }
                    }
                }
            }, function (err) {
                loader.dismiss();
                console.log(err);
            });
        });
    }
    FamilyPage.prototype.addNewNumber = function () {
        var _this = this;
        var loader = this.loading.create({
            content: this.translate.instant('m41')
        });
        loader.present().then(function () {
            var type = (_this.network == 'internal') ? 5 : 6;
            _this.api.modifyFriendAndFamily(type, '9' + _this.newNumber, 0, _this.navCtrl, _this.toastCtrl).then(function (res) {
                console.log(res);
                if (res.returnCode != undefined && res.returnCode == 1) {
                    _this.newNumber = null;
                    var message = _this.toastCtrl.create({
                        message: _this.translate.instant('m42'),
                        duration: 5000
                    });
                    message.present();
                }
                else {
                    if (type == 5) {
                        _this.numbers.internal.push({ "FellowISDN": ['9' + _this.newNumber] });
                    }
                    else {
                        _this.numbers.external.push({ "FellowISDN": ['9' + _this.newNumber] });
                    }
                }
                loader.dismiss();
            }, function (error) {
                console.log(error);
                loader.dismiss();
            });
        });
    };
    FamilyPage.prototype.deleteNumber = function (number) {
        var _this = this;
        var loader = this.loading.create({
            content: this.translate.instant('m43')
        });
        loader.present().then(function () {
            var type = (_this.network == 'internal') ? 5 : 6;
            _this.api.modifyFriendAndFamily(type, number, 1, _this.navCtrl, _this.toastCtrl).then(function (res) {
                if (res.returnCode != undefined && res.returnCode == 1) {
                    var message = _this.toastCtrl.create({
                        message: _this.translate.instant('m44'),
                        duration: 5000
                    });
                    message.present();
                }
                else {
                    if (type == 5) {
                        var index = _this.numbers.internal.indexOf(number);
                        _this.numbers.internal.splice(index, 1);
                    }
                    else {
                        var index = _this.numbers.external.indexOf(number);
                        _this.numbers.external.splice(index, 1);
                    }
                }
                loader.dismiss();
            }, function (error) {
                loader.dismiss();
                console.log(error);
            });
        });
    };
    FamilyPage.prototype.displayNumber = function (number) {
        var res = number;
        if (res.length == 12) {
            res = res.substring(2);
        }
        return res;
    };
    FamilyPage.prototype.changeTabs = function (id) {
        var _this = this;
        var loader = this.loading.create({
            content: this.translate.instant('w47')
        });
        loader.present().then(function () {
            _this.network = id;
            loader.dismiss();
        }, function (error) {
            loader.dismiss();
        });
    };
    FamilyPage.prototype.checkMaxfield = function (value) {
        var _this = this;
        if (value != null && value != undefined) {
            var stringValue = value.toString();
            var length_1 = stringValue.length;
            if (length_1 > 9) {
                var str_1 = stringValue.slice(0, 9);
                setTimeout(function () {
                    _this.newNumber = str_1;
                }, 0);
            }
        }
    };
    FamilyPage.prototype.ngOnDestroy = function () {
        this.api.remove("/ModFellowISDN");
    };
    return FamilyPage;
}());
FamilyPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-family',template:/*ion-inline-start:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\family\family.html"*/'<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{ \'w32\' | translate }}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n\n\n	<!-- Select Phone Number -->\n\n	<phone-number></phone-number>\n\n\n\n	<!-- Segments -->\n\n	<div>\n\n	  <ion-segment [(ngModel)]="network">\n\n	    <ion-segment-button value="internal" (click)="changeTabs(\'internal\')">\n\n	      {{ \'w116\' | translate }}\n\n	    </ion-segment-button>\n\n	    <ion-segment-button value="external" (click)="changeTabs(\'external\')">\n\n	      {{ \'w117\' | translate }}\n\n	    </ion-segment-button>\n\n	  </ion-segment>\n\n	</div>\n\n\n\n	<ion-card *ngIf="isData">\n\n	  <ion-card-header>\n\n	    {{ \'w118\' | translate }}\n\n	  </ion-card-header>\n\n	  <ion-card-content [innerHtml]="translate.instant(\'m73\')"></ion-card-content>\n\n	</ion-card>\n\n\n\n	<span *ngIf="!isData">\n\n		<div [ngSwitch]="network">\n\n			<ion-card>\n\n\n\n			  <ion-card-content class="fixed-holder" *ngIf="(network == \'internal\' && numbers.internal.length < 5) || (network == \'external\' && numbers.external.length < 2)">\n\n\n\n			    <ion-item class="input">\n\n					  <ion-label fixed>{{ \'w188\' | translate }}</ion-label>\n\n					  <ion-input [(ngModel)]="newNumber" (ngModelChange)="checkMaxfield($event)" type="number"></ion-input>\n\n					</ion-item>\n\n			   	\n\n			   	<div class="fixed-prefix" *ngIf="lang == \'fa\'">09</div>\n\n			   	<div class="fixed-prefix-en" *ngIf="lang == \'en\'">09</div>\n\n					\n\n					<button ion-button block color="secondary" (click)="addNewNumber()">{{ \'w189\' | translate }}</button> \n\n			  </ion-card-content>\n\n\n\n			  <ion-card-content *ngIf="(network == \'internal\' && numbers.internal.length >= 5) || (network == \'external\' && numbers.external.length >= 2)">\n\n			  	<p>{{ \'m39\' | translate }}</p>\n\n			  </ion-card-content>\n\n			</ion-card>\n\n\n\n			  <ion-list *ngSwitchCase="\'internal\'">\n\n\n\n		  		<ion-card *ngFor="let item of numbers.internal;let i = index; trackBy: index">\n\n					  <ion-item>\n\n					    {{ displayNumber(item.FellowISDN[0]) }}\n\n					    <button ion-button icon-only clear item-right (click)="deleteNumber(item)" color="dark">\n\n					    	<ion-icon name="trash"></ion-icon>\n\n					    </button>\n\n					  </ion-item>\n\n					</ion-card>\n\n			\n\n			  </ion-list>\n\n\n\n			  <ion-list *ngSwitchCase="\'external\'">\n\n			    \n\n			    <ion-card *ngFor="let item of numbers.external;let i = index; trackBy: index">\n\n					  <ion-item>\n\n					    {{ displayNumber(item.FellowISDN[0]) }}\n\n					    <button ion-button icon-only clear item-right (click)="deleteNumber(item)" color="dark">\n\n					    	<ion-icon name="trash"></ion-icon>\n\n					    </button>\n\n					  </ion-item>\n\n					</ion-card>\n\n\n\n			  </ion-list>\n\n\n\n			  <ion-card>\n\n\n\n				  <ion-card-header>\n\n				    {{ \'w118\' | translate }}\n\n				  </ion-card-header>\n\n\n\n				  <ion-card-content [innerHtml]="translate.instant(\'m40\')"></ion-card-content>\n\n				</ion-card>\n\n\n\n	</div>\n\n</span>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\family\family.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */]])
], FamilyPage);

//# sourceMappingURL=family.js.map

/***/ })

});
//# sourceMappingURL=45.js.map