webpackJsonp([7],{

/***/ 692:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VasServicesPageModule", function() { return VasServicesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__vas_services__ = __webpack_require__(842);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(441);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var VasServicesPageModule = (function () {
    function VasServicesPageModule() {
    }
    return VasServicesPageModule;
}());
VasServicesPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__vas_services__["a" /* VasServicesPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__vas_services__["a" /* VasServicesPage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__vas_services__["a" /* VasServicesPage */]
        ]
    })
], VasServicesPageModule);

//# sourceMappingURL=vas-services.module.js.map

/***/ }),

/***/ 842:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VasServicesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api_api__ = __webpack_require__(53);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var VasServicesPage = (function () {
    function VasServicesPage(navCtrl, navParams, translate, toast, loading, api) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.translate = translate;
        this.toast = toast;
        this.loading = loading;
        this.api = api;
        this.categories = [
            {
                id: 1,
                title: "اخبار",
                services: []
            },
            {
                id: 2,
                title: "بازی و سرگرمی",
                services: []
            },
            {
                id: 3,
                title: "ورزشی",
                services: []
            },
            {
                id: 4,
                title: "مذهبی",
                services: []
            },
            {
                id: 5,
                title: "اطلاع رسانی",
                services: []
            },
            {
                id: 6,
                title: "آموزشی",
                services: []
            },
            {
                id: 7,
                title: "فرهنگی و هنری",
                services: []
            },
            {
                id: 8,
                title: "بهداشت و سلامت",
                services: []
            },
            {
                id: 9,
                title: "تبلیغات",
                services: []
            }
        ];
        var loader = this.loading.create({
            content: this.translate.instant('m14')
        });
        loader.present().then(function () {
            _this.api.prepareVasServices(_this.navCtrl, _this.toast).then(function (res) {
                if (res) {
                    res.services.forEach(function (item) {
                        var category = _this.categories.filter(function (cat) { return (parseInt(item['a:CategoryID'][0], 10) === cat.id); });
                        if (category.length > 0) {
                            var categoryId = category[0].id - 1;
                            _this.categories[categoryId].services.push({
                                categoryId: item['a:CategoryID'][0],
                                categoryName: item['a:CategoryName'][0],
                                serviceId: item['a:ServiceID'][0],
                                serviceName: item['a:ServiceName'][0],
                                message: item['a:UnknownMessage'][0],
                                ServicePrice: item['a:ServicePrice'][0],
                                ServiceDescription: item['a:ServiceDescription'][0],
                                activeForThisMSISDN: item.activeForThisMSISDN
                            });
                        }
                    });
                }
                loader.dismiss();
            });
        });
    }
    VasServicesPage.prototype.goToLink = function (id) {
        switch (id) {
            case "help":
                this.navCtrl.push('VasServiceHelpPage');
                break;
            case "sms":
                {
                    var category = this.categories.filter(function (item) { return (item.id === 9); });
                    var services = (category.length > 0) ? category[0].services : [];
                    this.navCtrl.push('VasServiceItemPage', { services: services, id: 9 });
                }
                break;
            case "services":
                this.navCtrl.push('VasServicesCatPage', { categories: this.categories });
                break;
        }
    };
    VasServicesPage.prototype.ngOnDestroy = function () { };
    return VasServicesPage;
}());
VasServicesPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-vas-services',template:/*ion-inline-start:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\vas-services\vas-services.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{\'w257\' | translate}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n	<!-- Select Phone Number -->\n\n	<phone-number></phone-number>\n\n\n\n	<ion-list inset>\n\n	  \n\n	  <button ion-item (click)="goToLink(\'help\')">\n\n	  	راهنما و تعاریف\n\n	  </button>\n\n	  <button ion-item (click)="goToLink(\'sms\')">\n\n	  	مدیریت خدمات پیامکی انبوه\n\n	  </button>\n\n	  <button ion-item (click)="goToLink(\'services\')">\n\n	  	مدیریت خدمات ارزش افزوده\n\n	  </button>\n\n\n\n	</ion-list>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\vas-services\vas-services.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_3__providers_api_api__["a" /* ApiProvider */]])
], VasServicesPage);

//# sourceMappingURL=vas-services.js.map

/***/ })

});
//# sourceMappingURL=7.js.map