webpackJsonp([18],{

/***/ 680:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SimLostPageModule", function() { return SimLostPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__sim_lost__ = __webpack_require__(830);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(441);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var SimLostPageModule = (function () {
    function SimLostPageModule() {
    }
    return SimLostPageModule;
}());
SimLostPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__sim_lost__["a" /* SimLostPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__sim_lost__["a" /* SimLostPage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__sim_lost__["a" /* SimLostPage */]
        ]
    })
], SimLostPageModule);

//# sourceMappingURL=sim-lost.module.js.map

/***/ }),

/***/ 830:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SimLostPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api_api__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__helper_helper__ = __webpack_require__(87);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var SimLostPage = (function () {
    function SimLostPage(navCtrl, navParams, translate, loading, api, toast, helper) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.translate = translate;
        this.loading = loading;
        this.api = api;
        this.toast = toast;
        this.helper = helper;
        this.reason = 'none';
        this.lang = translate.currentLang;
        var loader = this.loading.create({
            content: this.translate.instant('m45')
        });
        loader.present().then(function () {
            _this.api.prepareSimLost(navCtrl, toast).then(function (res) {
                loader.dismiss();
            }, function (error) {
                loader.dismiss();
                //console.log(error);
            });
        });
        this.api.MSISDN$.subscribe(function (msisdn) {
            if (msisdn) {
                _this.number = msisdn;
            }
        });
        this.api.MSISDNS$.subscribe(function (msisdns) {
            if (msisdns != false && msisdns != undefined && msisdns != "" && msisdns.length != 0) {
                var numbers = [];
                for (var i = 0; i < msisdns.length; ++i) {
                    numbers.push(msisdns[i].msisdn);
                }
                _this.MSISDNS = numbers;
            }
        });
    }
    SimLostPage.prototype.approveSimLost = function () {
        var _this = this;
        //alert("msisdn: "+this.number);
        var loader = this.loading.create({
            content: this.translate.instant('m45')
        });
        loader.present().then(function () {
            _this.api.simCardLost(_this.number, _this.navCtrl, _this.toast).then(function (res) {
                var message = _this.toast.create({
                    message: 'مسدودی سیم کارت روی شماره مورد نظر با موفقیت انجام گردید.',
                    duration: 3000
                });
                message.present();
                loader.dismiss();
            });
        });
    };
    SimLostPage.prototype.displayNumbers = function (number) {
        if (this.lang == 'en') {
            return number;
        }
        return this.helper.convertToArabicNumber(number);
    };
    SimLostPage.prototype.ngOnDestroy = function () {
        this.api.remove("/simCardLost");
    };
    return SimLostPage;
}());
SimLostPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-sim-lost',template:/*ion-inline-start:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\sim-lost\sim-lost.html"*/'<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{\'w167\' | translate}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n	<ion-card>\n\n		<ion-item color="light">\n\n		  <ion-label>{{\'w168\' | translate}}</ion-label>\n\n		</ion-item>\n\n	  <ion-card-content padding>\n\n			<p [innerHTML]="translate.instant(\'m53\')"></p>\n\n	    <ion-list>\n\n\n\n			  <!-- Select Phone Number -->\n\n			  <ion-item-divider>\n\n					<ion-select\n\n						[(ngModel)]="number"\n\n						class="phone-number-select" \n\n						interface="action-sheet" \n\n						[cancelText]="translate.instant(\'w11\')"\n\n						[okText]="translate.instant(\'w12\')">\n\n					  <ion-option *ngFor="let msisdn of MSISDNS" [value]="msisdn">{{ displayNumbers(msisdn) }}</ion-option>\n\n					</ion-select>\n\n				</ion-item-divider>\n\n\n\n			  <!-- <ion-item-divider>\n\n			    <ion-label>{{\'w170\' | translate}}</ion-label>\n\n			    <ion-select [(ngModel)]="reason" interface="action-sheet" [cancelText]="translate.instant(\'w11\')">\n\n			      <ion-option value="none">{{\'w168\' | translate}}</ion-option>\n\n			      <ion-option value="n64">{{\'w169\' | translate}}</ion-option>\n\n			    </ion-select>\n\n			  </ion-item-divider> -->\n\n\n\n			</ion-list>\n\n			\n\n			<ion-list>\n\n				<ion-item>\n\n					<small>{{\'m54\' | translate}}</small>\n\n				</ion-item>\n\n			</ion-list>\n\n\n\n	    <button ion-button color="secondary" large block (click)="approveSimLost()">{{\'w12\' | translate}}</button>\n\n	  </ion-card-content>\n\n	</ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\Portal2\MyRighTel\project\workingCopy\mohammad-MyRightelApp-new\MyRightel-App\src\pages\sim-lost\sim-lost.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_3__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__helper_helper__["a" /* Helper */]])
], SimLostPage);

//# sourceMappingURL=sim-lost.js.map

/***/ })

});
//# sourceMappingURL=18.js.map